# Eom
## Overview
Eom is a software to view images, can open a variety of formats, support for zoom, slide show pictures, full screen, thumbnails, etc.

The main interface is divided into four parts: title bar (minimize, maximize, close), menu bar, toolbar and status bar.

![Fig. 1 Eom Main Interface](image/1.png)

![Fig. 2 Eom to view image](image/2.png)

<br>

## Basic Functions
The main interface is shown in figure below.

![Fig. 3 Basic Functions](image/3.png)

Icon and its function introduction:

|Icons|Descriptions|Icons|Descriptions
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon1.png)| Previous |![](image/icon5.png)| Next
|![](image/icon2.png)| Zoom in the picture|![](image/icon6.png)| Zoom out the picture
|![](image/icon3.png)| Display pictures in normal size |![](image/icon7.png)| Fit the image to the window
|![](image/icon4.png)| Rotate the picture 90 degrees counterclockwise |![](image/icon8.png)| Rotate the picture 90 degrees clockwise

<br>

## Advanced Functions
Users can perform related operations on Eom through the image, edit, view, go, and help options of the menu.

Icon and its function introduction:

|Icons|Descriptions|Icons|Descriptions
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon9.png)| Open image |![](image/icon18.png)| Save
|![](image/icon10.png)| Save As |![](image/icon19.png)|Print
|![](image/icona.png)| Open the included folder|![](image/iconb.png)|History opened image
|![](image/icon11.png)| Properties |![](image/icon20.png)| Close
|![](image/icon12.png)| Undo |![](image/icon21.png)| Copy
|![](image/icon13.png)| Horizontal flip |![](image/icon22.png)| Vertical flip
|![](image/icon14.png)| Rotate clockwise |![](image/icon23.png)| Rotate counterclockwise
|![](image/icon15.png)| Move to recycle bin |![](image/icon24.png)| Preferences
|![](image/icon16.png)| The first image |![](image/icon25.png)| The last image
|![](image/icon17.png)| Enter the user-guide |![](image/icon26.png)| About Eom

<br>

### Picture
Users can enter the image option by clicking: Menu > Image, to open, save as, and print the image.

#### Turn on
Users can select the image to view by clicking: Menu > Image > Open.

![Fig. 4 Open image-big](image/4.png)

The opening method is shown in the figure below:

![Fig. 5 How to open the image](image/5.png)

#### Print
Users can click the menu: Menu > image > print to print the image.

![Fig. 6 Print image-big](image/6.png)

#### Attributes
Users can view the image properties by clicking: Menu > Image> Properties.

![Fig. 7 View image properties](image/7.png)

### Edit
Users can enter the editing options by clicking: Menu > Edit to copy, flip, rotate, etc.

#### toolbar
Users can select the image to be viewed by clicking: Menu > Edit > Toolbar.

![Fig. 8 Toolbar Editor](image/8.png)

#### fPreferences
Users can click: Menu > Edit > Preferences to define image effects, set slideshows and activity plug-ins according to user needs.

![Fig. 9 MATE Eye Preferences-big](image/9.png)

### View
Users can enter the view option by clicking: Menu > View, and set whether to display the toolbar, status bar, and atlas of the image viewer interface, and can perform full-screen, slideshow, zoom-in and zoom-out operations for viewing pictures.

#### Atlas
Users can click: Menu > View > Atlas.

![Fig. 10 Gallery-big](image/10.png)

### Go to
Users can access the Go to option by clicking on: Menu > Go to, which is designed to operate on browsing pictures, for previous, next, first, last and random browsing.

### Help
The user can access the Help option by clicking: Menu > Help.

#### Content
Users can jump to the user-guide by clicking: Menu > Help > Content.

#### About
Users can view information about Eom by clicking on: Menu > Help > About.

![Fig. 11 About Eom](image/11.png)

<br>

## FAQ
### Showing history open pictures in Eom's image drop-down menu does not display
If the problem shown below is displayed, it means that the history picture is no longer in the current path.

![Fig. 12 Problem 1](image/12.png)

<br>

## Appendix
### Shortcuts

|Options | Shortcuts| Actions
| :------------ | :------------ | :------------ | 
|Open (O)... | Ctrl+O |to select an image and open it
|Save(S) |Ctrl+S |Save Image
|Save As |Shift+Ctrl+S| Save Image As
|Print (P)... | Ctrl+P| to print image
|Set Desktop Background (D) | Ctrl+F8| Set the current image to the desktop background
|Property(R) | Alt+Enter| View Image Properties
|Close (C) | Ctrl+W| Close Eom
|Undo |Ctrl+Z| Undo Operation
|Copy (C) | Ctrl+C | Copy Image
|Clockwise Rotation(R) | Ctrl+R | Clockwise rotation of the current image.
|Rotate counterclockwise (L) | Shift+Ctrl+R| Rotate counterclockwise on the current image.
|Fullscreen (F) | F11| View Image in Full Screen
|Zoom(Z) |Ctrl++ |Zoom in on current image
|Zoom Out (O) | Ctrl+- | Zoom in on the current image
|Normal Size(N) | Ctrl+0 | display image in normal size
|Best Length (B) | F | Fit Image to Window
|Previous Image(P) | Alt+Left | View Previous Image
|Next Image (N) | Alt+Right | View Next Image
|First image (F) | Alt+Home| Jump to the first image.
|Last image (L) | Alt+End | Jump to last image
|Random Image(R) |Ctrl+M |Random View Image



