# Keyboard shortcuts in Kylin
## Overview
The way to quickly execute a command or launch a piece of software in an operating system through a combination of different keys is called a shortcut button. The Windows logo key is displayed as the Windows flag on the keyboard, and there are also keyboard keys marked as text Win or Windows, hereafter referred to as "Win".

Currently we have two categories of system shortcuts: "System" and "Desktop".
## System
The following describes the general keyboard shortcuts for the system and the Windows logo key combinations ("Win+" ).
### Copy, paste, and other general keyboard shortcuts

|To do this|Press this key|
|:----------|:----------|
|Cut the selected item | Ctrl + X    
|Copy the selected item  |Ctrl + C (or Ctrl + Insert)    
|Paste the selected item  |Ctrl + V (or Shift + Insert)    
|Undo an action|Ctrl + Z    
|Close the active item, or exit the active app|Alt + F4    
|Help | F1    
|Rename the selected item|F2    
|Search for a file or folder in File Explorer |F3    
|Display the address bar list in File Explorer| F4    
|Refresh the active window| F5
|Cycle through screen elements in a window or on the desktop| F6    
|Activate the menu bar in the active app |F10    
|Show your password on the sign-in screen| Alt + F8    
|Cycle through items in the order in which they were opened|Alt + Esc    
|Perform the command for that letter|Alt + underlined letter.    
|Display properties for the selected item|Alt + Enter    
|Open the shortcut menu of the active window| Alt + Spacebar    
|Go back|Alt + Left arrow    
|Go forward| Alt + Right arrow   
|Move up a screen| Alt + Page Up    
|Move down a screen| Alt + Page Down    
|Close the active document (in apps that are full-screen and let you have multiple documents open at the same time) | Ctrl + F4    
|Select all items in the document or window| Ctrl + A    
|Delete the selected item and move it to the Recycle Bin| Ctrl + D (or Delete)    
|Refresh the active window| Ctrl + R (or F5)    
|Redo an action|Ctrl + Y    
|Move the cursor to the beginning of the next word |Ctrl + Right arrow   
|Move the cursor to the beginning of the previous word| Ctrl + Left arrow 
|Move the cursor to the beginning of the next paragraph| Ctrl + Down arrow    
|Move the cursor to the beginning of the previous paragraph| Ctrl + Up arrow    
|Use the arrow keys to switch between all open apps | Ctrl + Alt + Tab    
|Switch between open apps| Alt + Tab    
|Lock your PC or switch accounts (go to lock screen) | Ctrl + Alt + L    
|Open Terminal |Ctrl + Alt + T   
|Open gnome-system-monitor| Ctrl + Shift + Esc    
|Turn the Chinese input method editor (IME) on or off|Ctrl + Spacebar    
|Display the shortcut menu for the selected item| Shift + F10    
|Select more than one item in a window or on the desktop, or select text in a document| Shift with any arrow key  
|Delete the selected item without moving it to the Recycle Bin first|Shift + Delete    
|Open the next menu to the right, or open a submenu| Right arrow   
|Open the next menu to the left, or close a submenu| Left arrow
|Stop or leave the current task|Esc    

###  Windows logo key keyboard shortcuts

|To do this|Press this key|
|:---|:---|
|Open the "U.K. Kirin Help" (System Help)| Win + F1    
|Open or close Start Menu|Win (or Ctrl + Esc)    
|Display and hide the desktop |Win + D (or Ctrl + Alt + D)    
|Display and hide the date and time on the desktop |Win + Alt + D    
|Open File Manager|Win + E    
|Open Control Center|Win + I    
|Open the Connect quick action| Win + K    
|Minimize all windows| Win + M    
|Lock device orientation (portrait or landscape) | Win + O    
|Choose a presentation display mode| Win + P     
|Open "Search"| Win + S    
|Cycle through apps on the taskbar| Win + T    
|Open the clipboard |Win + V    
|Open the "Quick Links" menu (right-click menu on the Start button) | Win + X    
|Open emoji panel| Win + Period (.) or semicolon (;)    
|Temporarily peek at the desktop| Win + comma (,)    
|Display the System Properties dialog box |Win + Pause    
|Restore the minimization window on the desktop| Win + Shift + M    
|Open the desktop and start the app pinned to the taskbar in the position indicated by the number. If the app is already running, switch to that app    |Win + number   
|Open the desktop and start a new instance of the app pinned to the taskbar in the position indicated by the number | Win + Shift + Number    
|Open the desktop and open the Jump List for the app pinned to the taskbar in the position indicated by the number| Win + Alt + Number    
|Open the desktop and open a new instance of the app located at the given position on the taskbar as an administrator |Win + Ctrl + Shift + Number    
|Open Task View|Win + Tab    
|Maximize Window| Win + Up arrow   
|Remove current app from screen or minimize the desktop window| Win + Down arrow   
|Maximize the app or desktop window to the left side of the screen | Win + Left arrow  
|Maximize the app or desktop window to the right side of the screen | Win + right arrow    
|Minimize all except the active desktop window (restores all windows on second stroke)| Win + Home    
|Stretch the desktop window to the top and bottom of the screen | Win + Shift + Up arrow     
|Restore/minimize active desktop windows vertically, maintaining width | Win + Shift + Down arrow    
|Move an app or window in the desktop from one monitor to another| Win logo key + Shift + Left arrow or Right arrow
|Switch input language and keyboard layout| Win + Spacebar (or Ctrl + Shift)    

## Desktop
The following describes the desktop keyboard shortcuts, primarily provided by the desktop environment.

### Command prompt keyboard shortcuts

|To do this|Press this key|
|:------|:------|
|Copy the selected text |Ctrl + C (or Ctrl + Insert)    
|Paste the selected text| Ctrl + V (or Shift + Insert)    
|Move the cursor in the direction specified|  Arrow keys
|Move the cursor by one page up |Page up   
|Move the cursor by one page down|Page down

###  Dialog box keyboard shortcuts

|To do this|Press this key|
|:---|:---|
|Help| F1    
|Display the items in the active list| F4    
|Move forward through tabs |Ctrl + Tab    
|Move back through tabs |Ctrl + Shift + Tab    
|Move to nth tab |Ctrl + numbers (numbers 1-9)    
|Move forward through options |Tab    
|Move back through options| Shift + Tab    
|Select or clear the check box if the active option is a check box |Spacebar
|Open a folder one level up if a folder is selected in the Save As or Open dialog box| Backspace       

### File Explorer keyboard shortcut

|To do this|Press this key|
|:---|:---|
|Select the address bar| Alt + D    
|Select the search box| Ctrl + E (or Ctrl + F)    
|Open a new window| Ctrl + N    
|Close the active window| Ctrl + W    
|Change the size and appearance of file and folder icons| Ctrl + mouse scroll wheel  
|Create a new folder| Ctrl + Shift + N    
|Display the preview panel| Alt + P    
|Open the Properties dialog for the selected item |Alt + Enter    
|View the next folder |Alt + Right arrow  
|View the folder that the folder was in|Alt + Up arrow 
|View the previous folder |Alt + Left arrow (or Backspace)    
|Display the current selection (if it's collapsed), or select the first subfolder | Right arrow    
|Collapse the current selection (if it's expanded), or select the folder that the folder was in | Left arrow
|Display the bottom of the active window |End    
|Display the top of the active window| Home    
|Maximize or minimize the active window |F11    

###  Virtual desktops keyboard shortcuts

|To do this|Press this key|
|:---|:---|
|Open Task view |Win + Tab    
|Add a virtual desktop| Win + Ctrl + D    
|Switch between virtual desktops you’ve created on the right| Ctrl + Alt + Right arrow
|Switch between virtual desktops you’ve created on the left | Ctrl + Alt + Left arrow
|Close the virtual desktop you're using|Win + Ctrl + F4    

###  Taskbar keyboard shortcuts

|To do this|Press this key|
|:---|:---|
|Open an app or quickly open another instance of an app| Shift + click a taskbar button
|Open an app as an administrator |Ctrl + Shift + click a taskbar button    
|Show the window menu for the app |Shift + right-click a taskbar button  
|Show the window menu for the group|Shift + right-click a grouped taskbar button 
|Cycle through the windows of the group |Ctrl + click a grouped taskbar button

### Settings keyboard shortcuts

|To do this|Press this key|
|:---|:---|
|Open settings| Win + I    
|Go back to the settings home page| Backspace    
|Search settings|Type on any page with search box  

