# 麒麟快捷键帮助手册
## 概述
在操作系统中通过不同的按键组合，达到快速执行某个命令或者启动某个软件的方式称为快捷键。Windows徽标键在键盘上显示为Windows旗帜，也有键盘标为文字Win或Windows的按键，以下简称Win键。

当前我们将系统快捷键分为两类，“系统”和“桌面”。
## 系统
下面介绍系统的常规快捷键以及Windows徽标组合键。
### 复制、粘贴及其他常规的键盘快捷方式

|功能|    热键|
|:------|:-------|
|剪切选定项|    Ctrl + X    
|复制选定项    |Ctrl + C（或 Ctrl + Insert）    
|粘贴选定项    |Ctrl + V（或 Shift + Insert）    
|撤消操作    |Ctrl + Z    
|关闭活动项，或者退出活动应用    |Alt + F4    
|显示帮助    |F1    
|重命名选定项    |F2    
|在文件资源管理器中预览    |F3    
|在文件资源管理器中显示地址栏列表|    F4    
|刷新活动窗口|    F5
|循环浏览窗口中或桌面上的屏幕元素|    F6    
|激活活动应用中的菜单栏    |F10    
|在登录屏幕上显示你的密码|    Alt + F8    
|按项目打开顺序循环浏览    |Alt + Esc    
|执行该字母相关的命令|    Alt + 带下划线的字母    
|显示所选项目的属性    |Alt + Enter    
|打开活动窗口的快捷方式菜单|    Alt + 空格键    
|返回|    Alt + 向左键    
|前进|    Alt + 向右键    
|向上移动一个屏幕|    Alt + Page Up    
|向下移动一个屏幕|    Alt + Page Down    
|关闭活动文档（在可全屏显示并允许你同时打开多个文档的应用中）|    Ctrl + F4    
|选择文档或窗口中的所有项目|    Ctrl + A    
|删除所选的项目，将其移至回收站|    Ctrl + D（或 Delete）    
|刷新活动窗口|    Ctrl + R（或 F5）    
|恢复操作    |Ctrl + Y    
|将光标移动到下一个字词的起始处    |Ctrl + 向右键    
|将光标移动到上一个字词的起始处|    Ctrl + 向左键    
|将光标移动到下一段落的起始处|    Ctrl + 向下键    
|将光标移动到上一段落的起始处|    Ctrl + 向上键    
|使用箭头键在所有打开的应用之间进行切换(窗口切换面板不消失)|    Ctrl + Alt + Tab    
|使用箭头键在所有打开的应用之间进行切换(窗口切换面板会消失)|    Alt + Tab   
|锁定你的电脑或切换账户（进入锁屏界面）|    Ctrl + Alt + L 
|打开终端    |Ctrl + Alt + T
|打开gnome-system-monitor|    Ctrl + Shift + Esc    
|打开或关闭的中文输入法编辑器 (IME)|Ctrl + 空格键    
|显示所选项目的快捷方式菜单|    Shift + F10    
|在窗口中或桌面上选择多个项目，或在文档中选择文本|    按 Shift 与任何箭头键    
|删除选定项，无需先移动到回收站    |Shift + Delete    
|打开右侧的下一个菜单，或打开子菜单|    向右键    
|打开左侧的下一个菜单，或关闭子菜单    |向左键    
|停止或离开当前任务    |Esc    

### 徽标键盘快捷键

|功能    |热键    |
|:----|:---|
|打开“优麒麟帮助”（系统帮助）|    Win + F1    
|打开开始菜单|Win（或Ctrl + Esc）    
|显示和隐藏桌面    |Win + D（或Ctrl + Alt + D）    
|显示和隐藏桌面上的日期和时间|Win + Alt + D    
|打开文件管理器    |Win + E    
|打开控制面板|Win + I    
|打开“网络连接”快速操作|    Win + K     
|最小化所有窗口|    Win + M    
|锁定设备方向（纵向或横向）|    Win + O    
|选择演示显示模式|    Win + P        
|打开“搜索”|    Win + S    
|循环浏览任务栏上的应用|    Win + T    
|打开剪贴板历史    |Win + V    
|打开“快速链接”菜单（开始按钮右键菜单）|    Win + X    
|打开表情符号面板|    Win + 句点 (.) 或分号 (;)    
|临时速览桌面|    Win + 逗号 (,)    
|显示“系统属性”对话框    |Win + Pause 键    
|还原桌面上的最小化窗口|    Win + Shift + M    
|打开桌面，然后启动固定到任务栏的应用（位于数字所指明的位置）。如果应用已处于运行状态，则切换至该应用。    |Win + 数字    
|打开桌面，然后启动固定到任务栏的应用新实例（位于数字所指明的位置）|    Win + Shift + 数字    
|打开桌面，然后打开固定到任务栏的应用的“跳转列表（即右键菜单）”（位于数字所指明的位置）|    Win + Alt + 数字    
|打开桌面，然后以管理员身份打开位于任务栏上指定位置的应用新实例    |Win + Ctrl + Shift + 数字    
|打开任务视图|Win + Tab    
|最大化窗口|    Win + 向上键    
|删除屏幕上的当前应用并最小化桌面窗口|    Win + 向下键    
|最大化屏幕左侧的应用或桌面窗口|    Win + 向左键    
|最大化屏幕右侧的应用或桌面窗口|    Win + 向右键    
|最小化活动桌面窗口之外的所有窗口（在第二个笔划时还原所有窗口）|    Win + Home    
|将窗口移到上边的显示器上 |    Win + Shift + 向上键    
|将窗口移到下边的显示器上 |    Win + Shift + 向下键    
|将窗口移到左边或右边的显示器上 |    Win + Shift + 向左键或向右键    
|切换输入语言和键盘布局|    Win + 空格键（或Ctrl + Shift）    

## 桌面
下面介绍桌面级快捷键，主要由桌面环境提供。
### 命令提示符键盘快捷键

|功能    |热键    |
|:----|:------|
|复制选定文本    |Ctrl + C（或 Ctrl + Insert）    
|粘贴选定文本|    Ctrl + V（或 Shift + Insert）    
|按指定方向移动光标    |箭头键    
|将光标向上移动一页    |Page up       
|将光标往下移动一页|    Page down    

### 对话框键盘快捷键

|功能    |热键    |
|:----|:---|
|显示帮助|    F1    
|显示活动列表中的项目|    F4    
|在选项卡中向前移动    |Ctrl + Tab    
|在选项卡中向后移动    |Ctrl + Shift + Tab    
|移动到第 n 个选项卡    |Ctrl + 数字（数字 1–9）    
|在选项中向前移动    |Tab    
|在选项中向后移动|    Shift + Tab    
|如果活动选项为复选框，则选择或清除复选框    |空格键    
|如果在“另存为”或“打开”对话框中选择文件夹，则打开上一级别的文件夹|    Backspace    

### 文件资源管理器键盘快捷

|功能|    热键|    
|:----|:---|
|地址栏|    Alt + D    
|选择搜索框|    Ctrl + E（或Ctrl + F）    
|打开新窗口|    Ctrl + N    
|关闭活动窗口|    Ctrl + W    
|更改文件和文件夹图标的大小和外观|    Ctrl + 鼠标滚轮    
|新建文件夹|    Ctrl + Shift + N    
|显示预览面板|    Alt + P    
|打开选定项目的“属性”对话框    |Alt + Enter    
|查看下一个文件夹    |Alt + 向右键    
|查看该文件夹所在的文件夹    |Alt + 向上键    
|查看上一个文件夹    |Alt + 向左键（或Backspace）       
|显示当前选择内容（如果已折叠），或选择第一个子文件夹    |向右键    
|折叠当前所选内容（如果已展开），或选择该文件夹所在的文件夹    |向左键    
|显示活动窗口底部    |End    
|显示活动窗口顶部|    Home    
|最大化或最小化活动窗口    |F11    

### 虚拟桌面的键盘快捷键

|功能|    热键    |
|:---|:----|
|打开任务视图    |Win + Tab    
|添加虚拟桌面|    Win  + Ctrl + D    
|在你于右侧创建的虚拟桌面之间切换|Ctrl + Alt + 向右键   
|在你于左侧创建的虚拟桌面之间切换|Ctrl + Alt + 向左键    
|关闭你正在使用的虚拟桌面    |Win  + Ctrl + F4    

### 任务栏键盘快捷键

|功能    |热键|    
|:---|:----|
|打开应用或快速打开另一个应用实例|    Shift + 单击任务栏按钮    
|以管理员身份打开    |Ctrl + Shift + 单击任务栏按钮    
|显示应用的窗口菜单    |Shift + 右键单击任务栏按钮    
|显示组窗口菜单    |Shift + 右键单击分组任务栏按钮    
|循环浏览组窗口    |Ctrl + 单击分组任务栏按钮    

### 控制面板键盘快捷键

|功能    |热键    |
|:---|:---|
|打开控制面板|    Win + I    
|返回至控制面板主页|    Backspace    
|搜索控制面板    |使用搜索框在任何页面上键入    
