# UKUI Desktop Environment
## Overview
Desktop Environment is the basis for the user's operation on the graphical interface, and provides multiple functions including taskbar, start menu, etc. The main interface is shown in figure below.

![Fig. 1 Desktop main interface-big](image/1.png)

<br>

## Desktop
### Desktop’s Icons
The system places three icons Computer, Recycle Bin and Personal by default, and double click the left mouse button to open the page. The functions are shown in table below. 

| Icon |  Description	|
| :------------ | :------------ |
| ![](image/icon1.png) | Computer: Show the drives and hardwares connected to the machine|
| ![](image/icon2.png) | Recycle Bin: Show documents that have been diverted|
| ![](image/icon3.png) | Personal: Show personal home directory|
	
<br>

In addition, right-clicking "Computer" and selecting "Properties", it can show the current system version, kernel version, activation and other related informations.

![Fig. 2 "Computer" - "Properties"-big](image/2.png)

### Right-click Menu
Right-click on the desktop blank and a menu appears as shown in figure below, providing the users with some shortcut features.

![Fig. 3 Right-click Menu](image/3.png)

Some of the options are described in table below.

| Option | Description |
| :------------ | :------------ |
| New | Create new folders, text documents, WPS files |
| View type | Four view types are available: small icon, medium icon, large icon, super large icon |
| Sort by | Four ways to arrange documents according to name, type of document, size and date of modification |

<br>

## Taskbar
### Basic Function
Taskbar is located at the bottom and includes the Start Menu, Multi View Switch, File Browser, Firefox Web Browser, WPS, and Tray Menu.

![Fig. 4 Taskbar](image/4.png)

| Component | Decsription |
| :------------ | :------------ |
|![](image/icon4.png)| Start menu: Open the system menu to find applications and files |
|![](image/icon5.png)| Multi View Switch: Operate in multiple workspaces without interfering with each other |
|![](image/icon6.png)| File Browser: Browse and manage documents in the system |
|![](image/icon7.png)| Firefox Web Browser: Provide a convenient and safe way to access the Internet |
|![](image/icon8.png)| WPS: Realize the most common functions of office software such as text, forms, presentations, and more |
|Window Display Area| The blank part in the middle of the horizontal bar. Display running programs, opened documents, and allow users to close the windows, top the windows, etc |
|![](image/icon9.png)| Tray Menu: Include settings for voice, Kylin weather,input method, internet connection, notification center, date, and night mode |
|Show Desktop| The button is on the far right. Minimize all windows on the desktop and return to the desktop; Clicking again will restore the windows |

#### Multi View Switch
Click the icon "![](image/icon10-o.png)" on the taskbar to enter the interface shown in figure below, and select the operation area that users need to work on at the moment in multiple work areas.

![Fig. 5 Multi View Switch-big](image/5.png)

#### Preview Window
Users move the mouse over the app icon in the taskbar, and then a small preview window will be shown if this app has already been opened. 

Hover over the specified window as shown below for hover state, the window will be slightly fuzzy glass effect (left), the rest of the window as default Status (right).

![Fig. 6 Taskbar - Preview Window](image/6.png)

Users can close the application by right-clicking on the app icon in the taskbar.

![Fig. 7 Taskbar - Right-click Preview](image/7.png)

#### Sidebar
The sidebar is located at the right of the entire desktop. Click the icon "![](image/icon11-o.png)" in the taskbar tray menu to open the storage menu, and click the icon "![](image/icon12-o.png)" in Sidebar to pop up the sidebar as shown in figure below. 

The sidebar consists of two parts: Notification Center, Clipboard and Widget.

![Fig. 8 Sidebar without message status-big](image/8.png)

##### Notification Center
Notification center will display a list of recent important and newest informations. 

Select "Clear" in the upper right corner to clear the list of informations; Select "Setting" in the upper right corner to go to the notification settings in the control center, and users can set which applications can show informations and the quantity of informations.

![Fig. 9 Notification Center-big](image/9.png)

Workspace at right side can be set to fold by applications.

![Fig. 10 Fold messages by applications-big](image/10.png)

Icon "![](image/icon13-o.png)" at the top right corner of the sidebar can store unimportant informations. When the messages are more than 999+, it will be shown as the form of ![](image/icon14-o.png) which means limitless.

![Fig. 11 Message Organizer](image/11.png)

##### Clipboard
Clipboard can save the contents those were recently selected to copy or cut, and  users can operate them by using the icons in Table.

![Fig. 12 Clipboard](image/12.png)

Clicking "![](image/icon15-o.png)", users can edit the the contents of the clipboard.

![Fig. 13 edit the content](image/13.png)

| Icon | Description | Icon | Description |
| :------------ | :------------ | :------------ | :------------ |
| ![](image/icon16.png) | Copy the content | ![](image/icon18.png) | Edit the content |
| ![](image/icon17.png) | Delete the content |  |  |	
	
<br>

The second label of the clipboard is the small plug-in that contains alarm clock, notebook, user feedback.

![Fig. 14 Plug-in](image/14.png)

#### Tray Menu
##### Storage Menu
Click "![](image/icon19-o.png)" at the tray menu to open the storage menu. 

It contains Kylin Weather, Input Method, Bluetooth, USB, etc.

![Fig. 15 Storage Menu](image/15.png)

##### Input Method
The taskbar input method defaults to Sogou input method. Use the shortcut key "Ctrl+Space" to switch it out, and the "Shift" key to switch between Chinese and English modes.

![Fig. 16 Input Method](image/16.png)

##### USB
When the USB is inserted into the computer, it will be automatically read the data inside. 

Click "![](image/icon26-o.png)" to open the window as shown in figure below. 

When users need to umount the USB, please click the icon "![](image/icon27-o.png)".

![Fig. 17 The status of USB](image/17.png)

##### Power Supply
Click the icon "![](image/icon28-o.png)": 

When no power supply is detected.

![Fig. 18 No Power Supply](image/18.png)

When power supply is detected.

![Fig. 19 Have Power Supply](image/19.png)

Users right-click the icon "![](image/icon30-o.png)" of power manager to open the power setting menu. 

It provides two setting options: adjust screen brightness, and set power and sleep.

![Fig. 20 Power Manager](image/20.png)

If the power manager pops up a"low battery" window, users can click to turn on the power save mode, and the power manager will set the machine to run in this mode immediately.

![Fig. 21 Power Saving Mode](image/21.png)

##### Network
Users can choose wired or wireless network connections by clicking the icon "![](image/icon31-o.png)" of network manager.

| Icon | Description | Icon | Description |
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon32.png)|	Connected |![](image/icon37.png)| Unconnected |
|![](image/icon33.png)|	Connection limited |![](image/icon38.png)|	Locked |
|![](image/icon34.png)|	Connecting |![](image/icon39.png)|	Wifi connected |
|![](image/icon35.png)|	Wifi unconnected |![](image/icon40.png)|	Wificonnection limited |
|![](image/icon36.png)|	Wifi locked |![](image/icon41.png)|	Wifi connecting |	

<br>

![Fig. 22 Network Connection](image/22.png)

###### 1) Wired Network
In the wired network connection interface, click on the wired network plan to expand. Details of the network.

![Fig. 23 Wired Network](image/23.png)

###### 2) Wireless Network
Click the switch button in the upper right corner to turn on the wireless network connection, and select the WiFi from the list of available wireless networks. Enter the password to access the Internet.

![Fig. 24 Wireless Network](image/24.png)

###### 3) Network Setting
Right-click the icon "![](image/icon42-o.png)" of network mnager to pop up the setting menu.

![Fig. 25 Wired Network Setting](image/25.png)

Click network setting to go to the setting window immediately.

![Fig. 26 Network Setting](image/26.png)

##### Volume
Click the icon "![](image/icon43-o.png)" to open the volume window, and there provides three modes.

###### 1) Mini Mode
It only displays the volume of the speaker.

![Fig. 27 Mini Mode](image/27.png)

###### 2) According to Equipment
It contains input equipments and output equipments.

![Fig. 28 According to Equipment List](image/28.png)

###### 3) According to Application
It contains system volume and other applications' volume.

![Fig. 29 According to Application List](image/29.png)

##### Calendar
Click the date&time on the taskbar to open the calendar window.

Users can view the day's informations by filtering the year, month, day. The date will be displayed in large letters, with the time, the week, the festival,and the lunar calendar. Taboos can be seen by checking.

![Fig. 30 Calendar-big](image/30.png)

##### Night Mode
Click the icon "![](image/icon44-o.png)" on the Taskbar and then the system changes to the night mode.

#### Advanced Setting
Right-click the Taskbar to open the menu.

![Fig. 31 Right-Clicking Menu](image/31.png)

Users can set the lauserst of taskbar accroding to "Taskbar Settings".

<br>

##  Window
###  Window Manager
The functions provided as shown in Table.

| Function | Description |
| :--------| :----------|
| Title Bar | Show the title name of current window |
| Minimize/Maximize/Close | The three icon buttons at the right of the title bar correspond to minimize, maximize and close respectively |
| Side Sliding | Users can scroll up and down to view the page by the slider at the right of the window |
| Stack | Allow overlap among windows |
| Drag and Drop | Long press the left mouse button at the title bar to move the window to any position |
| Resize | Move the mouse to the corner of the window and long press the left button to resize the window |

<br>

### Window Switch
There are three ways to switch windows:

* Click the window title on the Taskbar.

* Click the different window at the desktop.

* Use shortcut keys < Alt > + < Tab >.

<br>

## Start Menu
### Basic Function
Click the button to open the "Start Menu". 

It provides sliding bar.

![Fig. 32 Start Menu](image/32.png)

#### Category Menu at right side
When the mouse is over the right side of the start menu, it will appear a pre-expanded cue bar. Clicking to expand, and then three categories are showing at the right side by default: "Common Software", "Alphabetical Category", and "Functional category".

* All Software: List all software, recently used software will be displayed on the top of this page.

* Alphabetical Category: List all softwares by first letter.

* Functional category: List all softwares by their functions.

Users can click the button at top right corner to view fullscreen menu mode.

![Fig. 33 Fullscreen Menu-big](image/33.png)

#### Function Button at right side
It provides User Avatar, Computer, Control Center and Shutdown four options.

##### User Avatar
Click "![](image/icon45-o.png)" to view user's informations.

##### Computer
Click "![](image/icon46-o.png)" to open personal home folder

##### Control Center
Click "![](image/icon47-o.png)" to go to the control center.

##### Shutdown
###### Lock Screen
When users do not need to use the computer temporarily, the lock screen can be selected (without affecting the current running state of the system) to prevent misoperations. And input the password to re-enter the system.

 The system will automatically lock the screen after a period of idle time by default.

![Fig. 34 Lock Screen-big](image/34.png)

###### Switch Users & Log Out
When users want to select another user to log in uing the computer, users can select "Log out" or "Switch user".

At this point, the system will close all running applications; Therefore, please save the current jobs before performing this action.

###### Shutdown & Reboot
There are two ways:

1)"Start Menu" > "Power" > "Shutdown"

It will pop up a dialog box, and users can choose shutdown or reboot as needed.

![Fig. 35 Shutdown Dialog Box-big](image/35.png)

2)"Start Menu" > right side menu of the "Shutdown" button > "Shutdown"/"Reboot"

The system will shutdown or reboot immediately without poping up the dialog box.

### Advanced Setting

Right-clicking Start Menu, it provides lock screen, switch user, log out, reboot, and shutdown five shortcut options.

### Applications
Users can search apps in the search box by key words. As shown in figure below, the result will show up automatically with the input.

![Fig. 36 Search Apps](image/36.png)

Right-clicking one app in the Start Menu, the right-click menu poping up.

![Fig. 37 Right-click Menu](image/37.png)

The options are described in table below.

| Option | Description |
| :------| :--------|
| Attach to "All Software" |Add the selected software to the top of the list of All Software|
| Attach to Taskbar |Generate icon for the application on the Taskbar|
| Add to Desktop Shortcut |Generate shortcut icon for the application on the desktop|
| Uninstall |Remove the application|

<br>

## FAQ

### Can’t login to the system after locking the screen?

（1）Switch to character terminal by < Ctrl + Alt + F1 >.

（2）Input the user-name and passwd to login to the system.

（3）Do "sudo rm -rf ~/.Xauthority".

（4）Switch to graphical interface by < Ctrl + Alt + F7 >, and input the passwd.

<br>

## Appendix 
### Shortcut Key

|Shortcut Key|Function|
| :------ | :-----
| F5 | Refresh the desktop |
| F1 | Open the user-guide|
| Alt + Tab | Switch the window |
| win | Open the Start Menu |
| Ctrl + Alt + L | Lock Screen |
| Ctrl + Alt + Delete | Log out |
| Ctrl + Alt + F1~6 | Switch to character terminal |
| Ctrl + Alt + F7 | Switch to graphical interface |

