# 基础桌面环境帮助手册
## 概述
桌面是用户进行图形界面操作的基础，提供了多个功能部件，包括任务栏、开始菜单等，主界面如下图所示。

![图 1 桌面主界面-big](image/1.png)

<br>

## 桌面
### 桌面图标
系统默认放置了计算机、回收站、个人三个图标，鼠标左键双击即可打开页面，功能如下表。 

|图标|	说明
| :------------ | :------------ |
|![](image/icon1.png)|计算机：显示连接到本机的驱动器和硬件
|![](image/icon2.png)|回收站：显示除移的文件
|![](image/icon3.png)|主文件夹：显示个人主目录

另外，右键单击“计算机”，选择“属性”，可显示当前系统版本、内核版本等相关信息。

![图 2 “计算机”-“属性”-big](image/2.png)

### 右键菜单
在桌面空白处单击鼠标右键，出现的菜单如下图所示，为用户提供了一些快捷功能。

![图 3 右键菜单](image/3.png)

部分选项说明如表 2。

|选项	|说明
| :------------ | :------------ |
| 新 建|可新建文件夹、文本文档、WPS文件
|视图类型	|提供四种视图类型：小图标、中图标、大图标、超大图标
|排序方式	|提供根据文件名称、文件类型、文件大小、修改日期排列的四种方式

<br>

## 任务栏
### 基本功能
任务栏位于底部，包括开始菜单、多视图切换、文件浏览器、Firefox网络浏览器、WPS、托盘菜单。

![图 4 任务栏](image/4.png)

|组件	|说明
| :------------ | :------------ |
|![](image/icon4.png)|	开始菜单，用于弹出系统菜单，可查找应用和文件
|![](image/icon5.png)|	多视图切换，可在多个工作区互不干扰进行操作
|![](image/icon6.png)|	文件浏览器，可浏览和管理系统中的文件
|![](image/icon7.png)|	Firefox网页浏览器，提供便捷安全的上网方式
|![](image/icon8.png)|	WPS办公套件，可以实现办公软件最常用的文字、表格、演示等多种功能
|窗口显示区	|横条中间空白部分；显示正在运行的程序或打开的文档，可进行关闭窗口、窗口置顶操作。
|![](image/icon9.png)|	托盘菜单，包含了对声音、麒麟天气、网络连接、输入法、通知中心、日期、夜间模式的设置
|显示桌面|	按钮位于最右侧；最小化桌面的所有窗口，返回桌面；再次单击将恢复窗口

<br>

#### 多视图切换
点击任务栏“![](image/icon10-o.png)”图标，即可进入如下图所示界面，在多个工作区内选择当下需要工作的操作区。

![图 5 多视图切换-big](image/5.png)

#### 预览窗口
用户将鼠标移动到任务栏的应用图标上，会对该应用打开的窗口进行小窗口预览，悬停在指定窗口如下图所示为悬停状态，该窗口会微微呈现毛玻璃效果（左），其余窗口为默认状态（右）。

![图 6 任务栏预览窗口](image/6.png)

用户通过鼠标右键点击任务栏的应用图标，可关闭该应用。

![图 7 任务栏右键预览](image/7.png)

#### 侧边栏
侧边栏位于整个桌面的右侧，点击任务栏托盘菜单中的“![](image/icon11-o.png)”图标打开收纳菜单，点击侧边栏“![](image/icon12-o.png)”图标，弹出侧边栏如下图所示。

侧边栏由两部分构成：通知中心、剪切板和小插件。

![图 8 侧边栏无消息状态-big](image/8.png)

##### 通知中心
通知中心将会显示重要的近期最新的重要信息列表，选择右上角“清空”可将信息列表清空；用户可通过选择右上角“设置”跳转进入控制面板的通知设置界面，能设置显示信息的应用，以及信息的数量。

![图 9 通知中心-big](image/9.png)

右侧工作区可设置为按应用折叠的模式。

![图 10 按应用折叠通知消息-big](image/10.png)

侧边栏右上角“![](image/icon13-o.png)”图标可收纳不重要信息，可以打开不重要的和已被设置为收纳的应用软件信息，消息超过999+后显示成![](image/icon14-o.png)的形式表示无穷大。

![图 11 消息收纳箱](image/11.png)

#####  剪切板
剪切板可保存近期选择复制或剪切的内容，同时可通过表上说明的图标进行相应操作。

其中点击“![](image/icon15-o.png)”图标，可对剪切板的内容进行编辑。

|图标|	说明|	图标	|说明
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon16.png)|	复制剪切板上的该内容	|![](image/icon18.png)|	编辑剪切板上的该内容
|![](image/icon17.png)|	删除剪切板上的该内容	||||	
	
<br>

![图 12 剪切板](image/12.png)

![图 13 编辑选中实的剪切板内容](image/13.png)

剪切板的第二个标签为小插件，插件包含：闹钟、笔记本、用户反馈，可供用户快捷选择。

![图 14 小插件](image/14.png)

#### 托盘菜单
##### 收纳菜单
点击任务栏托盘菜单中的“![](image/icon19-o.png)”图标打开收纳菜单，收纳菜单中可收纳麒麟天气、输入法、蓝牙、u盘等小工具。

![图 15 收纳菜单](image/15.png)

##### 输入法
任务栏输入法默认为搜狗输入法，使用快捷键“Ctrl+Space”可切换出来，“Shift”按键切换中英文模式。

![图 16 输入法](image/16.png)

##### U盘
U盘插入主机后，自动读取U盘数据，点击任务栏中U盘“![](image/icon26-o.png)”图标弹窗如下图所示。

需要卸载U盘时仅需点击弹出“![](image/icon27-o.png)”图标即可。

![图 17 U盘状态窗口](image/17.png)

##### 电源
没有检测到电源设备时，用户通过点击鼠标左键任务栏中电源“![](image/icon28-o.png)”图标。

![图 18 无电源设备](image/18.png)

若检测到接入的电源设备，用户通过点击鼠标左键任务栏中电源“![](image/icon29-o.png)”图标。

![图 19 电源管理器窗口](image/19.png)

用户通过点击鼠标右键任务栏中电源“![](image/icon30-o.png)”图标，弹出电源管理器设置菜单，设置调整屏幕亮度、设置电源和休眠两项。

![图 20 电源管理器设置](image/20.png)

若电源管理器弹出“电池电量不足”的弹窗后，用户可点击开启节能模式，电源管理器则即刻将本机设为节能模式运行。

![图 21 电池电量不足开启节能模式](image/21.png)

##### 网络
用户通过鼠标左键点击任务栏上的网络“![](image/icon31-o.png)”图标，可根据需要选择有线和无线两种网络连接方式。

|图标	|说明|	图标	|说明
| :------------ | :------------ | :------------ | :------------ |
|![](image/icon32.png)|	网络已连接	|![](image/icon37.png)|	网络未连接
|![](image/icon33.png)|	网络连接受限	|![](image/icon38.png)|	网络已上锁
|![](image/icon34.png)|	网络正在连接	|![](image/icon39.png)|	Wifi已连接
|![](image/icon35.png)|	Wifi未连接	|![](image/icon40.png)|	Wifi连接受限
|![](image/icon36.png)|	Wifi已上锁	|![](image/icon41.png)|	Wifi正在连接

<br>

![图 22 网络连接界面](image/22.png)

###### 1）有线网络
在有线网络连接界面，点击有线网络方案即可展开，查看网络的详细信息。

![图 23 有线网络连接](image/23.png)

###### 2）无线网络
无线网络连接，点击右上角开关按钮打开无线网络连接，并在可用无线网络列表中选择需要连接的WiFi，并键入密码即可通过WiFi上网。

![图 24 无线网络连接](image/24.png)

###### 3）网络设置窗口
用户通过鼠标右键点击任务栏上的网络“![](image/icon42-o.png)”图标，弹出网络设置菜单。

![图 25 有线网络设置](image/25.png)

点击设置网络，即刻进入网络设置窗口。

![图 26 网络设置窗口](image/26.png)

##### 音量
用户通过鼠标左键点击任务栏上的音量“![](image/icon43-o.png)”图标，打开声音界面。

###### 1）mini模式
音量min模式，仅显示扬声器的音量。

![图 27 音量min模式](image/27.png)

###### 2）按设备
音量按设备标签包括输出设备、输入设备。

![图 28 按设备音量列表](image/28.png)

###### 3）按应用
音量按应用标签包括系统音量、其他应用音量。

![图 29 按应用音量列表](image/29.png)

##### 日历
用户通过鼠标左键点击任务栏上的时间日期弹出日历窗口，查看日历、月历、年历窗口。

用户可通过筛选年 > 月 > 日查看一日信息，会以大字显示当日日期，并有当日的时间、星期、节气、农历，点击下方宜忌勾选可查看。

![图 30 日历查看-big](image/30.png)

##### 夜间模式
用户通过鼠标左键点击任务栏上的夜间模式“![](image/icon44-o.png)”图标，可设置为夜间模式。

#### 高级设置
右键单击任务栏，出现的菜单。

![图 31 任务栏右键菜单](image/31.png)

用户可对任务栏的布局进行设定，在“设置任务栏”中可进行相关设置。

<br>

##  窗口
###  窗口管理器
窗口管理器为用户提供了如表所示的功能。

|功能	|说明
| :--------| :----------|
|窗口标题栏|	显示当前窗口的标题名称
|最小化/最大化/关闭	|标题栏右侧的三个图标按钮，分别对应最小化窗口、最大化窗口、关闭窗口的功能
|侧边滑动	|在窗口右侧提供滑动条，可上下滚动查看页面
|窗口堆叠|	允许窗口之间产生重叠
|窗口拖拽	|在窗口标题栏长按鼠标左键，可移动窗口到任意位置
|窗口大小调整	|将鼠标移至窗口四角，长按左键，可任意调整窗口大小

<br>

### 窗口切换
用户有三种方式可以切换：

* 在任务栏上点击窗口标题；

* 在桌面上点击不同窗口；

* 使用快捷键< Alt > + < Tab >；

<br>

## 开始菜单
### 基本功能
单击“开始菜单”按钮，菜单具备滑动条功能。

![图 32 开始菜单主界面](image/32.png)

#### 右侧分类菜单
用户将鼠标停留在开始菜单右侧，会出现一个右侧预展开的提示栏，点击展开，即在右侧默认显示三个分类：“常用软件”、“字母分类”、“功能分类”，其中：

* 所有软件：列出所有软件，近期使用过的软件将会在此页面置顶显示。

* 字母分类：列出系统根据首字母进行分类显示所有软件。

* 功能分类：列出系统根据功能进行分类显示所有软件。

用户可通过点击右上角开始菜单的全屏图标，查看全屏菜单。

![图 33 全屏开始菜单-big](image/33.png)

#### 右侧功能键
右下侧显示用户头像、计算机、设置和电源四个选项。

##### 用户头像
点击“![](image/icon45-o.png)”图标，进入控制面板查看用户信息。

##### 计算机
点击“![](image/icon46-o.png)”图标进入计算机：个人主文件夹。

##### 设置
点击“![](image/icon47-o.png)”图标进入控制面板。

##### 电源
###### 锁定屏幕
当用户暂时不需要使用计算机时，可以选择锁屏（不会影响系统当前的运行状态），防止误操作；用户返回后，输入密码即可重新进入系统。

在默认设置下，系统在一段空闲时间后，将自动锁定屏幕。

锁屏界面如下图所示。

![图 34 锁屏界面-big](image/34.png)

###### 切换用户和注销
当要选择其他用户登录使用计算机时，可选择“注销”或“切换用户”。

此时，系统会关闭所有正在运行的应用；所以，在执行此操作前，请先保存当前工作。

###### 关机与重启
有两种操作方式：

1）“开始菜单” > “电源” > “关机”

会弹出对话框，用户可根据需要选择重启或关机。

![图 35 关闭系统对话框-big](image/35.png)

2）“开始菜单” > “关机” 按钮右边菜单 > “关机”/“重启”

系统将直接关机/重启，不再弹出对话框。

### 高级设置
右键单击开始菜单图标，提供锁屏、切换用户、注销、重启、关闭五个快捷选项。

### 应用
用户可以在搜索框中，通过关键字搜索应用。如下图所示，可输入中文，如：搜索用户手册，查询结果会随着输入自动显示出来。

![图 36 搜索应用](image/36.png)

通过右键点击开始菜单中的某个应用，弹出右键菜单，可将选中应用固定到“所有软件”、任务栏，可添加该应用到桌面方式，可快捷卸载该应用。

![图 37 应用的右键菜单](image/37.png)

各个选项说明如下表。

|选项	|说明
| :------| :--------
|固定到所有用软件 |将选中软件在所有软件列表中置顶
|固定到任务栏	|在任务栏上生成应用的图标
|添加到桌面快捷方式|	在桌面生成应用的快捷方式图标
|卸载|	卸载软件

<br>

## 常见问题

### 锁屏后无法登录系统？
（1）通过Ctrl + Alt + F1切换到字符终端。

（2）输入用户名和密码后登录。

（3）执行命令“sudo rm -rf ~/.Xauthority”。

（4）通过Ctrl + Alt + F7切回图形界面，输入用户密码登录。

<br>

## 附录
### 快捷键

|快捷键	|功能
| :------ | :-----
|F5|	刷新桌面
|F1	|打开用户手册
|Alt + Tab	|切换窗口
|win	|打开开始菜单
|Ctrl + Alt + L|	锁屏
|Ctrl + Alt + Delete|	注销
|Ctrl + Alt + F1~6	|切换至字符系统界面
|Ctrl + Alt + F7	|切换至图形界面

